import type { IContext, IOptions } from './Dijkstra';
import type { IDijkstraGraph } from './types';
/**
 * The dijkstra algorithm, optimized with priority queue.
 *
 * @param graph
 * @param options
 * @see https://me.guanghechen.com/post/algorithm/graph/shortest-path/dijkstra
 */
export declare function dijkstra(graph: IDijkstraGraph, options?: IOptions, onResolved?: (context: IContext) => void): number[];
